> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pipecorn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Personas

> Retrieves a list of all personas available in the system



## OpenAPI

````yaml GET /personas
openapi: 3.0.1
info:
  title: Pipecorn Personas API
  description: Pipecorn Personas API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.pipecorn.com/api/v2/
security:
  - defaultApiKey: []
paths:
  /personas:
    get:
      summary: Retrieve all lists
      description: Returns all lists from the system that the user has access to.
      responses:
        '200':
          description: A JSON array of persona objects
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Personas'
components:
  schemas:
    Personas:
      type: object
      properties:
        personas:
          type: array
          items:
            $ref: '#/components/schemas/Persona'
      example:
        personas:
          - uuid: 8e1dcba0-f0bb-4071-99fc-f18ba6559ccc
            name: VP Grenoble
            job_titles:
              - VP of Engineering
              - CTO
            location:
              - Grenoble, Auvergne-Rhône-Alpes, France
            created_at: '2024-09-09T15:15:15.951Z'
            updated_at: '2024-09-09T15:15:15.951Z'
          - uuid: 598267ec-ac11-41b3-849f-bd360b185b76
            name: test
            job_titles:
              - Cofounder
              - COO
              - CEO
            location:
              - Paris, Île-de-France, France
            created_at: '2025-01-03T17:35:33.073Z'
            updated_at: '2025-01-03T17:35:33.073Z'
    Persona:
      type: object
      properties:
        uuid:
          description: The unique identifier of the persona
          type: string
          format: uuid
          example: 8e1dcba0-f0bb-4071-99fc-f18ba6559ccc
        name:
          description: The name of the persona
          type: string
          example: VP Grenoble
        job_titles:
          description: List of job titles associated with the persona
          type: array
          items:
            type: string
          example:
            - CEO
            - COO
            - Cofounder
        location:
          description: List of locations associated with the persona
          type: array
          items:
            type: string
          example:
            - Grenoble, Auvergne-Rhône-Alpes, France
            - Paris, Île-de-France, France
        created_at:
          description: The creation date of the persona
          type: string
          format: date-time
          example: '2024-09-09T15:15:15.951Z'
        updated_at:
          description: The last modified date of the persona
          type: string
          format: date-time
          example: '2024-09-09T15:15:15.951Z'
  securitySchemes:
    defaultApiKey:
      type: apiKey
      in: header
      description: Your API key
      name: X-API-KEY

````